Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 766306

Summary: sci-physics/pythia-6.4.28-r1 fails to compile with -fno-common
Product: Gentoo Linux Reporter: Agostino Sarubbo <ago>
Component: Current packagesAssignee: Gentoo Science Physics related packages <sci-physics>
Status: RESOLVED FIXED    
Severity: normal Keywords: PullRequest
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/19263
https://bugs.gentoo.org/show_bug.cgi?id=770442
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 705764, 762907    
Attachments: build.log

Description Agostino Sarubbo gentoo-dev 2021-01-20 19:16:04 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sci-physics/pythia-6.4.28-r1 fails to compile with -fno-common.
Discovered on: amd64 (internal ref: ci)

NOTE:
To reproduce this issue you may want to set CFLAGS="${CFLAGS} -fno-common" or compile it with gcc-10 that enables -fno-common by default.
Comment 1 Agostino Sarubbo gentoo-dev 2021-01-20 19:16:06 UTC
Created attachment 683881 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2021-01-20 19:16:09 UTC
Possible context of error(s):

/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/pythia6_common_address.o:(.bss+0x0): multiple definition of `pybins_'; .libs/pydata.o:(.data+0x78180): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/pythia6_common_address.o:(.bss+0xaa9a0): multiple definition of `pydat1_'; .libs/pydata.o:(.data+0x76ec0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/pythia6_common_address.o:(.bss+0x59060): multiple definition of `pydat3_'; .libs/pydata.o:(.data+0x25580): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/pythia6_common_address.o:(.bss+0xa0ce0): multiple definition of `pydat2_'; .libs/pydata.o:(.data+0x6d200): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/pythia6_common_address.o:(.bss+0x551e0): multiple definition of `pydat4_'; .libs/pydata.o:(.data+0x21700): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/pythia6_common_address.o:(.bss+0x52b40): multiple definition of `pypars_'; .libs/pydata.o:(.data+0x1a20): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/pythia6_common_address.o:(.bss+0x54ea0): multiple definition of `pydatr_'; .libs/pydata.o:(.data+0x213c0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/pythia6_common_address.o:(.bss+0x53e00): multiple definition of `pysubs_'; .libs/pydata.o:(.data+0x4c0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/pythia6_common_address.o:(.bss+0x51880): multiple definition of `pyint1_'; .libs/pydata.o:(.bss+0x1c60): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/pythia6_common_address.o:(.bss+0x3c380): multiple definition of `pyint2_'; .libs/pydata.o:(.data+0xbec0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/pythia6_common_address.o:(.bss+0x31a40): multiple definition of `pyint4_'; .libs/pydata.o:(.data+0x68c0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/pythia6_common_address.o:(.bss+0x29ce0): multiple definition of `pyint6_'; .libs/pydata.o:(.data+0x31e0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/pythia6_common_address.o:(.bss+0x293a0): multiple definition of `pyint7_'; .libs/pydata.o:(.bss+0x1320): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/pythia6_common_address.o:(.bss+0x28520): multiple definition of `pymssm_'; .libs/pydata.o:(.data+0x2ce0): first defined here
collect2: error: ld returned 1 exit status
Comment 3 Larry the Git Cow gentoo-dev 2021-02-13 22:52:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33aaf731b269f7bc0203b8e59dab80b7af336cc5

commit 33aaf731b269f7bc0203b8e59dab80b7af336cc5
Author:     Jakov Smolic <jakov.smolic@sartura.hr>
AuthorDate: 2021-02-13 22:51:35 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-02-13 22:51:35 +0000

    sci-physics/pythia: Port pythia:6 to EAPI 7
    
    * Fix build with gcc-10
    
    Closes: https://bugs.gentoo.org/766306
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../pythia/files/pythia-6.4.28-fno-common.patch    | 54 ++++++++++++++++++++++
 ...ia-6.4.28-r1.ebuild => pythia-6.4.28-r2.ebuild} | 33 +++++++------
 2 files changed, 74 insertions(+), 13 deletions(-)